body {
    background-color: #004040;
    color: #ffffff;
    font-family: sans-serif;
}

a {
    color: #eeffee;
}

a:visited {
    color: #dddddd;
}

a:active {
    color: #ff0000;
}

.admin-name {
    color: #ff0000;
    font-weight: bold;
}

input,
textarea,
select,
button {
    max-width: 100%;
    box-sizing: border-box;
}

.header__title,
.post__title {
    font-size: large;
    font-weight: bold;
}

.post__date,
.post__button {
    font-size: small;
}

.post__name,
.post__contact,
.post__date,
.post__button {
    margin-left: 1rem;
}

form {
    margin: 1rem;
}

.post-form {
    margin: 1rem 0;
    width: min(500px, 100%);
}

.post-form__submit {
    width: 15rem;
    height: 2rem;
}

.post-form textarea {
    width: 500px;
}

.info {
    font-size: small;
}

.info_message {
    overflow-wrap: anywhere;
    white-space: pre-wrap;
}

.guide>span {
    margin-right: 1rem;
}

.post {
    overflow: hidden;
    word-break: break-all;
}

.post__reference,
.post__content {
    margin: 1rem 2.5rem;
}

.post__content {
    overflow-wrap: anywhere;
    white-space: pre-wrap;
}

blockquote {
    margin: 1rem 0;
    color: #d1d1d1;
    white-space: pre-wrap;
    overflow-wrap: break-word;
}

.yt-embed {
    display: block;
    margin: 0.4rem 0;
    width: min(400px, 100%);
    aspect-ratio: 16 / 9;
    border: 0;
}

.pagination {
    display: grid;
    grid-template-columns: 1fr auto 1fr;
    align-items: center;
    margin: 0 0.8rem;
}

.pagination__left {
    justify-self: start;
}

.pagination__center {
    justify-self: center;
}

.pagination__right {
    justify-self: end;
}

.pagination__current {
    font-weight: bold;
    margin-inline: 1rem;
}

.pagination__input {
    width: 4em;
}

.pagination__jump {
    display: inline-block;
    margin: 0 1rem;
}

.pagination__button {
    display: inline-block;
    padding: 1px 6px;
    border-radius: 5px;
    border: 2px outset buttonborder;
    background-color: buttonface;
    color: buttontext;
    text-decoration: none;
    font-size: .9rem;
    text-align: center;
    cursor: default;
}

.pagination__button:visited,
.pagination__button:active {
    color: buttontext;
}

footer {
    text-align: right;
}

.flex {
    display: inline-flex;
}

@media (max-width:950px) {
    .pagination {
        grid-template-columns: 1fr;
        justify-items: center;
        gap: 0.5rem;
    }

    .pagination__right,
    .pagination__left {
        display: none;
    }

    .pagination__button {
        padding: 2px 6px;
    }
}

@media (max-width:600px) {

    .pagination__first-button,
    .pagination__last-button {
        display: none;
    }

    .post-form textarea {
        width: 100%;
    }

    form {
        margin: 1rem 0;
    }

    .post__reference,
    .post__content {
        margin: 1rem 0.25rem;
    }

    .post__name,
    .post__contact,
    .post__date,
    .post__button {
        margin-left: 0.5rem;
    }
}